Package org.apache.lucene.sandbox.facet.iterators

# Class TaxonomyChildrenOrdinalIterator

java.lang.Object
org.apache.lucene.sandbox.facet.iterators.TaxonomyChildrenOrdinalIterator

All Implemented Interfaces:
  `OrdinalIterator`

public final class TaxonomyChildrenOrdinalIterator extends Object implements OrdinalIterator
Facets results selector to get children for selected parent. Source ordinals order is preserved.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.sandbox.facet.iterators.OrdinalIterator

  `EMPTY, NO_MORE_ORDS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaxonomyChildrenOrdinalIterator(OrdinalIterator sourceOrds, ParallelTaxonomyArrays.IntArray parents, int parentOrd)`
  Create

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `nextOrd()`
  Returns next ord or `OrdinalIterator.NO_MORE_ORDS`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.sandbox.facet.iterators.OrdinalIterator

  `toArray`

- ## Constructor Details

  - ### TaxonomyChildrenOrdinalIterator

    public TaxonomyChildrenOrdinalIterator(OrdinalIterator sourceOrds, ParallelTaxonomyArrays.IntArray parents, int parentOrd)
    Create

- ## Method Details

  - ### nextOrd

    public int nextOrd() throws IOException
    Description copied from interface: `OrdinalIterator`
    Returns next ord or `OrdinalIterator.NO_MORE_ORDS`. *
    Specified by:
      `nextOrd` in interface `OrdinalIterator`
    Throws:
      `IOException`